## libpkg-guide 0.0.20070413.1

=== Makefile ===
all: libpkg-guide.html libpkg-guide.txt libpkg-guide.pdf

clean:
	rm -f *~ *.bak *.aux *.log *.toc *.tex *.dvi *.tmp \
	      libpkg-guide.html libpkg-guide.txt libpkg-guide.pdf

%.html: %.xml
	xsltproc libpkg-guide.xsl $< > $@.tmp
	mv $@.tmp $@

%.txt: %.html
	LC_ALL=C LANG=C w3m -dump $< > $@

preview: libpkg-guide.html
	mozilla-firefox -remote "openfile($(PWD)/$<)"

%.pdf: %.xml
	# doc.collab.show is ignored by dblatex versions earlier than 0.2.5
	dblatex -P doc.collab.show=0 $<

.PHONY: preview

## libpkg-guide 0.0.20070413

=== debian/changelog ===
libpkg-guide (0.0.20070413) unstable; urgency=low

  * Initial release. (Closes: #426206)
  * Makefile
    - added removal for generated files
    - pdf file generation is done directly from xml using dblatex; thanks to
      Sheldon Hearn
    - removed old stuff commented
  * libinfodump.sh
    - removed since obsoleted and replaced by d-shlibs debian package
  * debian-latex.xsl
    - removed since obsoleted by dblatex
  * libpkg-guide.xml
    - changed reference to symbol versioning in dlopen chapter from xref to
      link; thanks to Sheldon Hearn
  * debian/control
    - added DM-Upload-Allowed flag
    - moved w3m, dblatex, ldp-docbook-xsl to Build-Depends-Indep

 -- Sandro Tosi <matrixhasu@gmail.com>  Sun, 13 Jul 2008 20:04:34 +0200

=== debian/control ===
Source: libpkg-guide
Section: doc
Priority: optional
Maintainer: Sandro Tosi <matrixhasu@gmail.com>
Uploaders: Junichi Uekawa <dancer@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: w3m, dblatex, ldp-docbook-xsl
Standards-Version: 3.8.0
Vcs-Git: git://git.debian.org/git/collab-maint/libpkg-guide.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libpkg-guide.git
DM-Upload-Allowed: yes

Package: libpkg-guide
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Debian Library Packaging guide
 This guide tries to illustrate and illuminate the problems related to
 library packaging to be clear to the Developers of Debian Project, to
 hopefully raise the general awareness, and to fill the gap of Debian
 documentation lacking in the direction of library package.

## libpkg-guide 0.0.20070413.1

=== debian/changelog ===
libpkg-guide (0.0.20070413.1) unstable; urgency=low

  * libpkg-guide.xml
    - applied patch from Jarek Kamiński to fix a typo in Section 5.3 (bug
      number); thanks to him for the patch; Closes: #496702
  * debian/control
    - updated my email address
    - removed DM-Upload-Allowed flag
    - bump Standards-Version to 3.8.1 (no changes needed)
  * debian/copyright
    - updated my email address
    - fixed copyright notice, while extending years, for packaging
    - clarified packaging is under GPLv2

 -- Sandro Tosi <morph@debian.org>  Tue, 17 Mar 2009 17:26:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: libpkg-guide
 Section: doc
 Priority: optional
-Maintainer: Sandro Tosi <matrixhasu@gmail.com>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: w3m, dblatex, ldp-docbook-xsl
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Vcs-Git: git://git.debian.org/git/collab-maint/libpkg-guide.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libpkg-guide.git
-DM-Upload-Allowed: yes
 
 Package: libpkg-guide
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

binary-indep: build install
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_fixperms
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build
binary: binary-indep binary-arch

.PHONY: build clean binary-arch binary-indep binary install configure

## libpkg-guide 0.0.20070413.2

=== debian/changelog ===
libpkg-guide (0.0.20070413.2) unstable; urgency=low

  * QA upload.
  * debian/control
    - set maintainer to QA team
    - bump Standards-Version to 3.8.4 (no changes needed)
  * debian/{compat, control, rules}
    - migrated to debhelper 7
  * debian/copyright
    - updated packaging copyright years 
  * debian/source/format
    - migrated to "3.0 (native)" source format

 -- Sandro Tosi <morph@debian.org>  Fri, 04 Jun 2010 00:05:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: libpkg-guide
 Section: doc
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Junichi Uekawa <dancer@debian.org>
-Build-Depends: debhelper (>= 5)
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: w3m, dblatex, ldp-docbook-xsl
-Standards-Version: 3.8.1
+Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/collab-maint/libpkg-guide.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libpkg-guide.git
